Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AbstractOptionalDeceaseType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalDeceaseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DeceaseInfoBaseType, DeceaseInfoWithStatusAndSourceType, DeceaseInfoWithUpdateStatusType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class AbstractOptionalDeceaseType

extends Object
implements Serializable

Java class for AbstractOptionalDeceaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalDeceaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DeceaseGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AbstractOptionalDeceaseType()`

Method Summary
`String` | `getDeceaseDate()` Gets the value of the deceaseDate property.
`LocationType` | `getDeceasePlace()` Gets the value of the deceasePlace property.
`void` | `setDeceaseDate(String value)` Sets the value of the deceaseDate property.
`void` | `setDeceasePlace(LocationType value)` Sets the value of the deceasePlace property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOptionalDeceaseType

    public AbstractOptionalDeceaseType()

Method Detail

### getDeceaseDate

    public String getDeceaseDate()

  Gets the value of the deceaseDate property.

  Returns:
    possible object is `String`

### setDeceaseDate

    public void setDeceaseDate(String value)

  Sets the value of the deceaseDate property.

  Parameters:
    `value` - allowed object is `String`

### getDeceasePlace

    public LocationType getDeceasePlace()

  Gets the value of the deceasePlace property.

  Returns:
    possible object is `LocationType`

### setDeceasePlace

    public void setDeceasePlace(LocationType value)

  Sets the value of the deceasePlace property.

  Parameters:
    `value` - allowed object is `LocationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.